<?php
/************************************************
 *  Plugin Charte graphique                     *
 *  Propose une charte graphique à la connexion *
 *  d'un utilisateur                            *
 *  gaston.tjebbes@ac-dijon.fr                  *
 *  file: plugin_charte.php                     *
 *  version: 1.0                                *
 *  date: 29/03/2010                            *
 *  author : Gaston TJEBBES                     *
 ***********************************************/

/*
 * name: plugin CHARTE
 * description: Charte d'utilisation du portail
 * display:  style="font-weight:bolder;"
 * dependencies: no
 * author: gaston tjebbes
 * url: http://eole.orion.education.gouv.fr
 */

define("CHARTE_PLUGIN_NAME", "plugin CHARTE");

// Installation du plugin charte
register_hook("install_plugin_charte/plugin_charte", "plug_install");
register_hook("uninstall_plugin_charte/plugin_charte", "plug_uninstall");

// Import de la fonction d'affichage de l'onglet de charte utilisateur
register_hook("admininterface_header","plugcharte_admininterface_header",1,1);

// Téléchargement de la charte
register_admin_tab('charte_tab', "Charte informatique", 'charte_tab_display', 'jscharte_display();');


// Le plugin en lui-même
register_hook("userinterface_header","show_charte",1,1);

include_once('utils.php');

function plug_install()
{
    // Ajout de la table contenant les users ayant validés la charte
    $sql = "CREATE TABLE IF NOT EXISTS `validated_chartes` (
 `username` varchar(32) collate utf8_unicode_ci NOT NULL,
 PRIMARY KEY  (`username`)
)ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='validated use-license';";
    global $DB;
    $DB->execute($sql);
    // Copie de la page de validation de la charte (fait en postinst sur Scribe)
    if (@copy("/var/www/html/posh/includes/plugins/plugin_charte/valid_charte.php", "/var/www/html/posh/portal/valid_charte.php"))
    {
        _log("Le fichier valid_charte a bien été copié.");
    }else
    {
        _log("Erreur à la copie du fichier valid_charte.");
    }
}
function plug_uninstall()
{
    $sql = "DROP TABLE validated_chartes;";
    global $DB;
    $DB->execute($sql);
    // Suppression de la page de validation de la charte (fonctionne pas sur Scribe)
    if(@unlink("/var/www/html/posh/portal/valid_charte.php"))
    {
        _log("Le fichier valid_charte a bien été supprimé.");
    }else
    {
        _log("Erreur à la suppression du fichier valid_charte.php (droits insuffisants ou fichier inexistant ?).");
    }
}
function plugcharte_admininterface_header(){
    /* Importe une fonction javascript pour rajouter un resize sur la frame et éviter le fenêtrage */
    echo "<script type='text/javascript' src='../includes/plugins/plugin_charte/display_charte.js'></script>";
}

function charte_tab_display()
{
    _log("On appelle la fonction display");

    require_once('charte_tab.inc.php');
}
function show_charte()
{
    _log(" # Entrée du plugin charte ");
    if (isEnabled()){
    	$username = $_SESSION['username'];
        if (! hasValidated($username)){
    	    echo '<script type="text/javascript" src="../includes/plugins/plugin_charte/charte.js"></script>';
    	    echo "<script>";
    	    echo "$" . "p.plugin.hook.register('app.openHome.start', '" . "$" . "envole.charte.loadCharte()', '1');";
    	    echo "</script>";
            _log("La charte n'a pas encore été validée : " . $username);
        }else{
            _log("La charte a déjà été validée par " . $username);
        }
    }
}
?>
